namespace EvoLab.CoreApi.Populations {
    
    public interface IPopulation<I> {
        I[] Pop {
            get;
        }
        
        ProblemType ProblemType {
            get;
            set;
        }
    }
    
    public interface VectorPopulation {
        int VectorLength {
            get;
        }
    }
    
    public interface ITargetPopulation<I> {
        I[] TargetPop {
            get;
        }
    }
}
