using System;
using System.Reflection;

namespace EvoLab.Common {

    public class VersionGetter {

        public static string GetVersion () {

            Type t = Type.GetType ("EvoLab.Common.Version");

            if (t == null) {
                return "Custom build";
            } else {
                FieldInfo f = t.GetField("version");
                return (string) f.GetRawConstantValue();
            }
        }
    }
}
